FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000887FL52.2 Subprogram FLUC (CONV)public2017-08-24 15:372017-09-28 23:21
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.15 
Target Version5.1.16Fixed in Version5.1.16 
Summary0000887: Dataformat detection and automatic compression algorithm selection
DescriptionFor CX8/VR8, ADC with or withour ZEDC or GZIP it would be useful to classify the data in:

  High compressable static structured fix length -> CX8
  High compressable static structured variable length -> VR8
  High compressable dynamic structured -> ADC
  Normal compressable dynamic structured -> ZEDC
  Low or not compressable -> COPY (NDC)

This classification must be add to the FLUC dectector and controls the usage of the algorithms if no deticated algo given.

Additional these data classes must be add to the usage log to figure out cost saving.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001115)
Falk Reichbott (administrator)
2017-08-30 08:08

CX8/VR8 gives larger compression results the ADC. Means it makes no sense to put this in the algo selection. Based on that, we offer the following solution:

If the environment variable FL_ZEDC_SUPPORT or system variable FLZEDC starts with a digit (0-9) then this number is the allowed expansion of the comprimat if ZEDC expand more then the original software algorithn is used.

This solution is completly transparent in ADC, no change in JCL and the customers now the maximal expansion for the ZEDC.
(0001125)
Falk Reichbott (administrator)
2017-09-28 23:21

The ZEDC support can now activated with threshold. This value is the maximum expansion of the compressed data accepted by FLAM for the ZEDC usage in percent.

See install.txt for z/OS for more information.

- Issue History
Date Modified Username Field Change
2017-08-24 15:37 Falk Reichbott New Issue
2017-08-24 15:37 Falk Reichbott Status new => assigned
2017-08-24 15:37 Falk Reichbott Assigned To => Falk Reichbott
2017-08-30 08:08 Falk Reichbott Note Added: 0001115
2017-08-30 08:09 Falk Reichbott Assigned To Falk Reichbott => Mykhailo Moldavskyy
2017-08-31 16:48 Falk Reichbott Target Version 5.1.17 => 5.1.16
2017-09-28 23:21 Falk Reichbott Note Added: 0001125
2017-09-28 23:21 Falk Reichbott Status assigned => resolved
2017-09-28 23:21 Falk Reichbott Fixed in Version => 5.1.16
2017-09-28 23:21 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker